package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author ma_sh
 * @version : 1.0
 * 订单状态枚举
 */
@Getter
public enum OrderStatusEnum {

    NO_ORDER_PLACED(0, "未下单"),
    TO_ORDER_PLACED(1, "已下单-待接单"),
    ORDER_RECEIVE(2, "已接单-待出库"),
    ORDER_PENDING_SHIPMENT(3, "已出库-待收货"),
    ORDER_AWAITING_RECEIPT(4, "已收货-租赁中"),
    ORDER_UNDER_LEASE(5, "已退租-待检修"),
    ORDER_REPAIRED(10, "已检修-待结算"),
    ORDER_TERMINATED(15, "已结算-待确认"),
    ORDER_FINISHED(20, "已完成"),
    ORDER_CANCEL(99, "已取消");



    private final Integer status;
    private final String statusName;

    OrderStatusEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }
}
